.\"                                      Hey, EMACS: -*- nroff -*-
.\" First parameter, NAME, should be all caps
.\" Second parameter, SECTION, should be 1-8, maybe w/ subsection
.\" other parameters are allowed: see man(7), man(1)
.TH ERIC7_DOC 1 "January 31, 2010"
.\" Please adjust this date whenever revising the manpage.
.\"
.\" Some roff macros, for reference:
.\" .nh        disable hyphenation
.\" .hy        enable hyphenation
.\" .ad l      left justify
.\" .ad b      justify to both left and right margins
.\" .nf        disable filling
.\" .fi        enable filling
.\" .br        insert line break
.\" .sp <n>    insert n+1 empty lines
.\" for manpage-specific macros, see man(7)
.SH NAME
eric7_doc \- eric7 documentation generator
.SH SYNOPSIS
.B eric7_doc
.RI [ options ] " files" ...

where files can be be either Python modules, package directories or ordinary directories.
.SH DESCRIPTION
This manual page documents briefly the
.B eric7_doc
command.
This manual page was written for the Debian distribution
because the original program does not have a manual page.
Instead, it has documentation provided in the file /usr/share/doc/eric/README\-eric7\-doc.txt.gz in plain text format.
.PP
.\" TeX users may be more comfortable with the \fB<whatever>\fP and
.\" \fI<whatever>\fP escape sequences to invode bold face and italics, 
.\" respectively.
\fBeric7_doc\fP is the documentation generator of the eric7 IDE. Source code documentation may be included as ordinary Python doc-strings or as documentation comments. For Quixote Template file (PTL) only documentation comments are available due to the inner workings of Quixote. Documentation comments start with the string ###, followed by the contents and ended by ###. Every line of the documentation comments contents must start with a # (see example below).
.SH OPTIONS
These programs follow the usual GNU command line syntax, with long
options starting with two dashes (`-').
A summary of options is included below.
For a complete description, see the Info files.
.TP
.B \-p prefix or \-\-prefix\=prefix
Prepend given prefix to file names.
.TP
.B \-o directory or \-\-outdir\=directory
Generate files in the named directory.
.TP
.B \-R, \-r or \-\-recursive
Perform a recursive search for Python files.
.TP
.B \-x directory or \-\-exclude\=directory
Specify a directory basename to be excluded.
This option may be repeated multiple times.
.TP
.B \-i or \-\-noindex
Don't generate index files.
.TP
.B \-e or \-\-noempty
Don't include empty modules.
.TP
.B \-h, \-\-help
Show summary of options.
.TP
.B \-v, \-\-version
Show version of program.
.SH SEE ALSO
.BR eric7_ide (1),
.BR eric7_api (1),
.BR eric7_browser (1),
.BR eric7_compare (1),
.BR eric7_configure (1),
.BR eric7_diff (1),
.BR eric7_doc (1),
.BR eric7_editor (1),
.BR eric7_fido2.1 (1),
.BR eric7_hexeditor (1),
.BR eric7_iconeditor (1),
.BR eric7_mpy (1),
.BR eric7_pdf (1),
.BR eric7_pip (1),
.BR eric7_plugininstall (1),
.BR eric7_pluginrepository (1),
.BR eric7_pluginuninstall (1),
.BR eric7_qregularexpression (1),
.BR eric7_re (1),
.BR eric7_shell (1),
.BR eric7_snap (1),
.BR eric7_sqlbrowser (1),
.BR eric7_testing (1),
.BR eric7_tray (1),
.BR eric7_trpreviewer (1),
.BR eric7_uipreviewer (1),
.BR eric7_virtualenv (1),
.br
.SH AUTHOR
eric7_doc was written by Detlev Offenbach.
.PP
.SH AUTHOR
This manual page was written by Torsten Marek <shlomme@gmx.net>,
for the Debian project (but may be used by others).
